# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGeometricText

Function

Produces a geometric text Object consisting of a given string.

Syntax
`
#include <dx/dx.h>
`

Object DXGeometricText(char *s, Object font, float *width)

Functional Details The geometric text Object consists of the string `s`, in the font `font` (which is an Object returned by `DXGetFont`. The text is a Field with a "positions" component indicating the points of the font in pixels, a "connections" component of type "lines," and a "colors" component with a constant white color. The origin of the string (left end of baseline) is placed at the origin of the x,y plane with the baseline pointed along the positive x axis. If `width` is not `NULL`, the width of the string (in pixels) will be returned in `*width`. The string will be bounded above by `ascent` and below by `-descent` (as returned by `DXGetFont`), to the left by 0, and to the right by `width`.

Return Value

Returns the text Object or returns `NULL` and sets an error code.

See Also

`DXGetFont`

15.1 , "Text".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]